{
    "name": "drupal-composer/drupal-project",
    "description": "Project template for Drupal 8 projects with composer",
    "type": "project",
    "license": "GPL-2.0-or-later",
    "authors": [
        {
            "name": "",
            "role": ""
        }
    ],
    "repositories": [
        {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
        }
    ],
    "require": {
        "php": ">=7.3",
        "composer/installers": "^1.2",
        "drupal/amswap": "^2.0",
        "drupal/auto_entitylabel": "^2.x-dev",
        "drupal/commerce": "^2.22",
        "drupal/commerce_cart_api": "^1.4",
        "drupal/commerce_cart_redirection": "^3.0",
        "drupal/commerce_license": "2.x-dev@dev",
        "drupal/commerce_migrate": "^2.0",
        "drupal/commerce_monetico": "^1.0",
        "drupal/commerce_pricelist": "2.x-dev",
        "drupal/commerce_recurring": "^1.x-dev",
        "drupal/commerce_stripe": "1.x-dev@dev",
        "drupal/commerce_variation_cart_form": "^1.x-dev",
        "drupal/computed_field": "^2.0@beta",
        "drupal/config_devel": "^1.7",
        "drupal/config_split": "^1.4",
        "drupal/console": "^1.0.2",
        "drupal/consumer_image_styles": "^3.0",
        "drupal/content_sync": "2.x-dev@dev",
        "drupal/core-composer-scaffold": "^9.0",
        "drupal/debug_bar": "^1.4",
        "drupal/devel": "^4.1",
        "drupal/editor_advanced_link": "^1.8",
        "drupal/entity_clone": "^1.0",
        "drupal/error_log": "^1.0",
        "drupal/field_group": "3.x-dev@dev",
        "drupal/field_permissions": "^1.0",
        "drupal/flag_lists": "^4.0@beta",
        "drupal/genpass": "^1.x-dev",
        "drupal/graphql": "4.x-dev@dev",
        "drupal/image_delta_formatter": "^1.x-dev",
        "drupal/image_effects": "3.x-dev@dev",
        "drupal/jsonapi_extras": "^3.7",
        "drupal/jsonrpc": "^1.x-dev",
        "drupal/login_history": "^1.x-dev",
        "drupal/mailgun": "^1.x-dev",
        "drupal/mailsystem": "^4.1",
        "drupal/migrate_devel": "2.x-dev@dev",
        "drupal/migrate_plus": "5.x-dev@dev",
        "drupal/migrate_tools": "5.x-dev@dev",
        "drupal/mimemail": "^1.x-dev",
        "drupal/modules_weight": "^1.8",
        "drupal/payment": "^2.1",
        "drupal/payment_commerce": "2.x-dev@dev",
        "drupal/permissions_filter": "^1.1",
        "drupal/printable": "^2.0",
        "drupal/recurring_period": "^1.0",
        "drupal/restui": "^1.16",
        "drupal/search_api_autocomplete": "^1.2",
        "drupal/search_api_page": "^1.x-dev",
        "drupal/search_api_solr": "^4.1.7",
        "drupal/select_translation": "^1.x-dev",
        "drupal/simplenews": "^1.x-dev",
        "drupal/string_translation_ui": "^1.2",
        "drupal/strings_i18n_json_export": "1.x-dev@dev",
        "drupal/subrequests": "^2.0",
        "drupal/telephone_formatter": "^1.0@beta",
        "drupal/telephone_validation": "^2.1",
        "drupal/translate_side_by_side": "^1.x-dev",
        "drupal/translation_views": "^1.x-dev",
        "drupal/ultimate_cron": "^2.x-dev",
        "drupal/url_to_video_filter": "^2.0",
        "drupal/views_conditional": "^1.x-dev",
        "drupal/views_ef_fieldset": "^1.5",
        "drush/drush": "^9",
        "kint-php/kint": "^3.3",
        "smalot/pdfparser": "*",
        "symfony/event-dispatcher": "4.3.4 as 3.4.99",
        "vlucas/phpdotenv": "^2.4",
        "wa72/htmlpagedom": "1.3.*",
        "webflo/drupal-finder": "^1.0.0",
        "webmozart/path-util": "^2.3",
        "wikimedia/composer-merge-plugin": "^1.4",
        "zaporylie/composer-drupal-optimizations": "^1.0"
    },
    "require-dev": {
    },
    "conflict": {
        "drupal/drupal": "*"
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "config": {
        "sort-packages": true,
        "platform": {
          "php": "7.3"
        }
    },
    "autoload": {
        "classmap": [
            "scripts/composer/ScriptHandler.php"
        ],
        "files": ["load.environment.php"]
    },
    "scripts": {
        "pre-install-cmd": [
            "DrupalProject\\composer\\ScriptHandler::checkComposerVersion"
        ],
        "pre-update-cmd": [
            "DrupalProject\\composer\\ScriptHandler::checkComposerVersion"
        ],
        "post-install-cmd": [
            "DrupalProject\\composer\\ScriptHandler::createRequiredFiles"
        ],
        "post-update-cmd": [
            "DrupalProject\\composer\\ScriptHandler::createRequiredFiles"
        ]
    },
    "extra": {
        "composer-exit-on-patch-failure": true,
        "patchLevel": {
            "drupal/core": "-p2"
        },
        "merge-plugin": {
            "include": [
              "web/profiles/d8-starterkit-profile/composer.json"
            ],
            "recurse": true,
            "replace": false,
            "merge-extra": true
        },
        "installer-paths": {
            "web/core": ["type:drupal-core"],
            "web/libraries/{$name}": ["type:drupal-library"],
            "web/modules/contrib/{$name}": ["type:drupal-module"],
            "web/profiles/contrib/{$name}": ["type:drupal-profile"],
            "web/themes/contrib/{$name}": ["type:drupal-theme"],
            "drush/Commands/{$name}": ["type:drupal-drush"]
        },
        "patches": {
            "drupal/core": {
              "migrate_drupal getsetting on null" : "https://www.drupal.org/files/issues/2019-02-13/migrate_drupal-getsetting_on_null.patch"
            },
            "drupal/email_registration": {
              "allow email login through REST https://www.drupal.org/project/email_registration/issues/2856542": "https://www.drupal.org/files/issues/allow_authentication-2856542-3.patch"
            },
            "drupal/commerce_cart_api": {
              "Error: Call to a member function hasRequirement() on null https://www.drupal.org/project/commerce_cart_api/issues/3116623" : "https://www.drupal.org/files/issues/2020-03-05/3116623-3.patch"
            },
            "drupal/field_group": {
              "undefined index name 18 https://www.drupal.org/project/field_group/issues/3064890" : "https://www.drupal.org/files/issues/2020-10-01/field_group-undefined-index-name-3064890-18.patch",
              "undefined index name 16 https://www.drupal.org/project/field_group/issues/3064890" : "https://www.drupal.org/files/issues/2020-08-10/field_group-undefined-index-name-3064890-16.patch"
            },
            "drupal/stripe": {
              "Stripe is a web service and should be in system.admin_config_services https://www.drupal.org/project/stripe/issues/3090652": "https://www.drupal.org/files/issues/2020-01-08/stripe-link_menu_in_services-3090652-5.patch"
            }
        },
        "drupal-scaffold": {
            "locations": {
              "web-root": "./web"
            },
            "initial": {
                ".editorconfig": "../.editorconfig",
                ".gitattributes": "../.gitattributes"
            }
        }
    }
}
